DNF5-LIST(8)

NUME
dnf5-list - comanda «list»

SINOPSIS

dnf5 list [opțiuni] [<NI-specificație-pachet>...]

DESCRIERE

Afișează liste de pachete pe baza parametrilor furnizați.

Dacă terminalul este disponibil, lista pachetelor este colorată, pachetele disponibile pentru reinstalare sunt (în mod implicit) colorate cu verde îngroșat, iar pachetele disponibile pentru actualizare cu albastru îngroșat. Acest comportament poate fi ajustat în dnf5.conf(5) prin opțiunile color_list_available_upgrade și color_list_available_reinstall.

OPȚIUNI

    --showduplicates
        Afișează toate versiunile pachetelor, nu doar pe cele mai recente.

    --installed-from-repo=ID_DEPOZIT,...
        Filtrează pachetele instalate după ID-ul depozitului din care au fost instalate.

    --installed
        Listează doar pachetele instalate.

    --available
        Listează doar pachetele disponibile.

    --extras
        Listează doar pachetele suplimentare: pachete instalate în sistem care nu sunt disponibile în niciun depozit cunoscut.

    --obsoletes
        Lista doar pachetele instalate în sistem care sunt învechite de pachetele din orice depozit cunoscut.

    --recent
        Listează doar pachetele adăugate recent în depozite.

    --upgrades
        Listează doar actualizările disponibile pentru pachetele instalate.

    --autoremove
        Listează doar pachetele care vor fi eliminate de Comanda «autoremove» <#autoremove-command-ref-label>.

    --json
        Solicită formatul de ieșire JSON.

EXEMPLE

    dnf5 list
        Listează pachetele instalate sau disponibile.

    dnf5 list --available --showduplicates
        Listează toate pachetele disponibile, inclusiv toate versiunile disponibile.

    dnf5 list kernel*
        Listează pachetele instalate și disponibile ale căror nume încep cu kernel.

IEȘIRE JSON

dnf5 list --json

Comanda returnează un obiect JSON cu următoarea structură:

    •   cheile reprezintă o secțiune din ieșirea „drăguță” a CLI

    •   valorile reprezintă pachetele din secțiunea respectivă ca un șir de obiecte cu următoarea structură:

                •   name (șir): numele pachetului

                •   arch (șir): arhitectura pachetului

                •   evr (șir): versiunea de actualizare disponibilă

                •   repository (șir): ID-ul depozitului din care este disponibilă actualizarea

                •   obsoletes (listă): (numai pentru secțiunea „Pachete învechite”) lista pachetelor care învechesc acest pachet (au aceeași structură ca mai sus, omițând obsoletes)

CONSULTAȚI ȘI
        dnf5-specs(7), Specificația modelelor <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.